[arch-commits] CVS update of extra/system/aufs (PKGBUILD aufs.install)

Paul Mattal paul at archlinux.org
Fri Oct 19 14:21:57 UTC 2007


    Date: Friday, October 19, 2007 @ 10:21:57
  Author: paul
    Path: /home/cvs-extra/extra/system/aufs

   Added: PKGBUILD (1.1) aufs.install (1.1)

upgpkg: aufs 20071017-1
added aufs, 20071017 snapshot


--------------+
 PKGBUILD     |   47 +++++++++++++++++++++++++++++++++++++++++++++++
 aufs.install |   31 +++++++++++++++++++++++++++++++
 2 files changed, 78 insertions(+)


Index: extra/system/aufs/PKGBUILD
diff -u /dev/null extra/system/aufs/PKGBUILD:1.1
--- /dev/null	Fri Oct 19 10:21:57 2007
+++ extra/system/aufs/PKGBUILD	Fri Oct 19 10:21:55 2007
@@ -0,0 +1,47 @@
+# $Id: PKGBUILD,v 1.1 2007/10/19 14:21:55 paul Exp $
+# Contributor: Paul Mattal <paul at mattal.com>
+# Maintainer: Paul Mattal <pjmattal at elys.com>
+pkgname=aufs
+pkgver=20071017
+pkgrel=1
+_kernver='2.6.23-ARCH'
+pkgdesc="Another Unionfs Implementation that supports NFS branches"
+arch=('i686')
+url="http://aufs.sourceforge.net/"
+license=('GPL2')
+depends=('kernel26>=2.6.23.1-3')
+install=$pkgname.install
+source=(http://gerolde.archlinux.org/~paul/$pkgname-$pkgver.tar.gz)
+md5sums=('804d2b634dac3ff3d4d35c7513a12edd')
+
+build() {
+  cd $startdir/src/$pkgname || return 1
+
+  # configure for NFS by:
+  # 1) configure local.mk to use FILP and LHASH
+  sed -i 's|CONFIG_AUFS_PUT_FILP_PATCH =|CONFIG_AUFS_PUT_FILP_PATCH = y|' \
+    local.mk || return 1
+  sed -i 's|CONFIG_AUFS_LHASH_PATCH =|CONFIG_AUFS_LHASH_PATCH = y|' \
+    local.mk || return 1
+  # 2) configure local.mk NOT to use FAKE_DM
+  sed -i 's|CONFIG_AUFS_FAKE_DM = y|CONFIG_AUFS_FAKE_DM =  |' \
+    local.mk || return 1
+
+  # build
+  make KDIR=/usr/src/linux-$_kernver/ -f local.mk || return 1
+
+  # install
+  install -D -m644 fs/aufs/aufs.ko \
+    $startdir/pkg/lib/modules/$_kernver/fs/aufs/aufs.ko || return 1
+  install -D -m755 util/aufind.sh $startdir/pkg/usr/bin/aufind.sh || return 1
+  install -D -m755 util/aulchown $startdir/pkg/usr/bin/aulchown || return 1
+  install -D -m755 util/auplink $startdir/pkg/usr/bin/auplink || return 1
+  install -D -m755 util/mount.aufs $startdir/pkg/sbin/mount.aufs || return 1
+  install -D -m755 util/umount.aufs $startdir/pkg/sbin/umount.aufs || return 1
+
+  # tweak the install script for the right kernel version
+  sed -i -e "s/KERNEL_VERSION=.*/KERNEL_VERSION=${_kernver}/g" \
+    $startdir/$pkgname.install || return 1
+}
+
+# vim:set ts=2 sw=2 et:
Index: extra/system/aufs/aufs.install
diff -u /dev/null extra/system/aufs/aufs.install:1.1
--- /dev/null	Fri Oct 19 10:21:57 2007
+++ extra/system/aufs/aufs.install	Fri Oct 19 10:21:57 2007
@@ -0,0 +1,31 @@
+pre_install() {
+	/bin/true
+}
+
+post_install() {
+  # updating module dependencies
+  echo ">>> Updating module dependencies. Please wait ..."
+  KERNEL_VERSION=2.6.23-ARCH
+  depmod -v $KERNEL_VERSION > /dev/null 2>&1
+  /bin/true
+}
+
+post_upgrade() {
+  # updating module dependencies
+  echo ">>> Updating module dependencies. Please wait ..."
+  KERNEL_VERSION=2.6.23-ARCH
+  depmod -v $KERNEL_VERSION > /dev/null 2>&1
+  /bin/true
+}
+
+post_remove() {
+  # updating module dependencies
+  echo ">>> Updating module dependencies. Please wait ..."
+  KERNEL_VERSION=2.6.23-ARCH
+  depmod -v $KERNEL_VERSION > /dev/null 2>&1
+  /bin/true
+}
+
+op=$1
+shift
+$op $*




More information about the arch-commits mailing list